summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Isaac Yu <isaacyu1@isaacyu1.com>2022-04-02 10:39:10 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-02 18:19:09 +0700
commitb507cf77a9a39c7c331c3adf03d17ec9d31b7442 (patch)
treeea17c437aa358df3332d0bf22285902021c81ea0 /system
parent5b1b8affad1a74a3c89029409452ce6d048c35bc (diff)
downloadslackbuilds-b507cf77a9a39c7c331c3adf03d17ec9d31b7442.tar.gz
slackbuilds-b507cf77a9a39c7c331c3adf03d17ec9d31b7442.tar.xz
system/libratbag: Added (daemon for gaming mice).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/libratbag/README9
-rw-r--r--system/libratbag/libratbag.SlackBuild133
-rw-r--r--system/libratbag/libratbag.info10
-rw-r--r--system/libratbag/slack-desc19
4 files changed, 171 insertions, 0 deletions
diff --git a/system/libratbag/README b/system/libratbag/README
new file mode 100644
index 0000000000..f353d20add
--- /dev/null
+++ b/system/libratbag/README
@@ -0,0 +1,9 @@
+libratbag provides ratbagd, a DBus daemon to configure input devices,
+mainly high-end and gaming mice.
+
+If Sphinx and sphinx-rtd-theme are installed, then the SlackBuild
+will build HTML documentation files as well.
+
+This SlackBuild disables build tests by default. To enable build tests
+(valgrind additionally required), pass TESTS=yes to the SlackBuild:
+TESTS=yes ./libratbag.SlackBuild
diff --git a/system/libratbag/libratbag.SlackBuild b/system/libratbag/libratbag.SlackBuild
new file mode 100644
index 0000000000..639f4c8e72
--- /dev/null
+++ b/system/libratbag/libratbag.SlackBuild
@@ -0,0 +1,133 @@
+#!/bin/bash
+
+# Slackware build script for libratbag
+
+# Copyright 2021-2022 Isaac Yu <isaacyu1@isaacyu1.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=libratbag
+VERSION=${VERSION:-0.16}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# If Sphinx and sphinx-rtd-theme are installed, then build HTML documentation
+if (python3 -c 'import sphinx' 2>/dev/null) && \
+ (python3 -c 'import sphinx_rtd_theme' 2>/dev/null); then
+ DOCS=true
+else
+ DOCS=false
+fi
+
+# Enable or disable tests
+if [ ${TESTS:-no} = yes ]; then
+ ENABLE_TESTS=true
+else
+ ENABLE_TESTS=false
+fi
+
+mkdir -p build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --prefix /usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir /usr/man \
+ -Dsystemd=false \
+ -Dlogind-provider=elogind \
+ -Ddocumentation=$DOCS \
+ -Dtests=$ENABLE_TESTS \
+ -Ddocdir=/usr/doc/$PRGNAM-$VERSION
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+# Compress man files
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# If Sphinx and sphinx_rtd_theme are installed, copy HTML documentation
+if (python3 -c 'import sphinx' 2>/dev/null) && \
+ (python3 -c 'import sphinx_rtd_theme' 2>/dev/null); then
+ cp -a build/doc/html $PKG/usr/doc/$PRGNAM-$VERSION
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/libratbag/libratbag.info b/system/libratbag/libratbag.info
new file mode 100644
index 0000000000..093245b432
--- /dev/null
+++ b/system/libratbag/libratbag.info
@@ -0,0 +1,10 @@
+PRGNAM="libratbag"
+VERSION="0.16"
+HOMEPAGE="https://github.com/libratbag/libratbag"
+DOWNLOAD="https://github.com/libratbag/libratbag/archive/v0.16/libratbag-0.16.tar.gz"
+MD5SUM="ca6ff73eb21f66558657cfe604a49e3e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python-evdev"
+MAINTAINER="Isaac Yu"
+EMAIL="isaacyu1@isaacyu1.com"
diff --git a/system/libratbag/slack-desc b/system/libratbag/slack-desc
new file mode 100644
index 0000000000..1e650f81e1
--- /dev/null
+++ b/system/libratbag/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libratbag: libratbag (daemon for gaming mice)
+libratbag:
+libratbag: libratbag is a DBus daemon to configure input devices, mainly
+libratbag: high-end and gaming mice.
+libratbag:
+libratbag:
+libratbag:
+libratbag:
+libratbag:
+libratbag:
+libratbag: